{"info":{"_postman_id":"d8ce6c71-a0fd-4092-a34e-0c8ba54769b0","name":"Hotelinking Api","description":"<html><head></head><body><p>The Hotelinking Api allows you to programmatically retrieve information from your guests.</p>\n<h1 id=\"overview\">Overview</h1>\n<ol>\n<li>You need a valid <a href=\"#authentication\">API Key</a> to send requests to the API endpoints. You can get your key contacting us for an <a href=\"#contact\">integration</a>.</li>\n<li>The API has an <a href=\"#rate-limits\">access rate limit</a> applied to it.</li>\n<li>Response to every request is sent in JSON format.</li>\n</ol>\n<h1 id=\"authentication\">Authentication</h1>\n<p>An API Key is required to be sent as part of every request, in the form of an <strong>X-Api-Key</strong> request header.</p>\n<p>If you do not have an API Key, you need to <a href=\"#contact\">contact</a> us to get one.</p>\n<p>An API Key tells our API server that the request it received came from you. </p>\n<h2 id=\"api-key-related-error-response\">API Key related error response</h2>\n<p>If an API Key is missing, malformed, or invalid, you will receive a <em>403 Forbidden</em> response code and the following JSON response:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code>{\n    \"Message\": \"User is not authorized to access this resource with an explicit deny\"\n}\n</code></pre><h1 id=\"rate-limits\">Rate limits</h1>\n<p>API access rate limits are applied at a per-key basis in unit time. Access to the API using a key has some limit configured for each API key. </p>\n<p>Once you hit the rate limit, you will receive a response similar to the following JSON, with a status code of <em>429 Too Many Requests</em>.</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code>{\n    \"Message\": \"Rate Limit exceeded\"\n}\n</code></pre><p>In case that you need more rate limits, please <a href=\"#contact\">contact us</a></p>\n<h1 id=\"test-server\">Test server</h1>\n<p>If you need we have available a mock server, to test this requests, here's the mock server to try it out:</p>\n<p>You can get the <a href=\"https://api.postman.com/collections/13480176-4a7ba9c1-78d2-4005-b289-265d3b808999?access_key=PMAT-01H6V9WXPREAA0RVNB14F1QXPN\">collection</a></p>\n<p>You can use the provided <a href=\"https://hotelinking.postman.co/workspace/Hotelinking-~009cba92-ca02-4e6a-8114-b449732c4cfa/environment/13480176-d4ea54e4-dd97-4f85-9d5f-7b276425aab5\">environment</a></p>\n<p>The URL for this server is: <a href=\"https://aac55c40-98c9-45dc-9505-9494d038283f.mock.pstmn.io\">https://aac55c40-98c9-45dc-9505-9494d038283f.mock.pstmn.io</a></p>\n<p>You can use all the requests available here witht this mocked server, and tests differents response codes.</p>\n<p>Here's an example:</p>\n<p>Request \"List Brand Users\":</p>\n<p>cURL request:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code>{   \n\"curl --location 'https://aac55c40-98c9-45dc-9505-9494d038283f.mock.pstmn.io/brands/76/gdpr?lang=es'         --data ''\"\n}\n</code></pre><p>This will return a 200 OK with mock data.</p>\n<p>If you wish to try a different responde code (I.E. a 400), you can pass the header x-mock-response-code, in the headers, to mock this response.</p>\n<p>cURL request:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code>{\n    \"curl --location 'https://aac55c40-98c9-45dc-9505-9494d038283f.mock.pstmn.io/brands/76/gdpr?lang=es'         --header 'x-mock-response-code: 400'         --data ''\"\n}\n</code></pre><p>You can view the full documentation of this mock server, <a href=\"https://documenter.getpostman.com/view/13480176/2s9XxwusyU\">here</a></p>\n<h1 id=\"support\">Support</h1>\n<p>For any need of support you can contact us by send a <a href=\"#contact\">e - mail</a> or contacting your Key Account manager.</p>\n<p>In the event you receive a *503/ 504 * response from our servers, it implies that we have hit an unexpected spike in API access traffic and would usually be operational within the next 5 minutes.If the outage persists, or your receive any other form of * 5XX error *, kindly let us know.</p>\n<h1 id=\"contact\">Contact</h1>\n<p><strong><a href=\"https://hotelinking.com\">Hotelinking</a></strong></p>\n<p>email: <a href=\"mailto:integrations@hotelinking.com\">integrations@hotelinking.com</a></p>\n<hr>\n<h1 id=\"hotelinking-api-reference\">Hotelinking Api Reference</h1>\n</body></html>","schema":"https://schema.getpostman.com/json/collection/v2.0.0/collection.json","toc":[{"content":"Overview","slug":"overview"},{"content":"Authentication","slug":"authentication"},{"content":"Rate limits","slug":"rate-limits"},{"content":"Test server","slug":"test-server"},{"content":"Support","slug":"support"},{"content":"Contact","slug":"contact"},{"content":"Hotelinking Api Reference","slug":"hotelinking-api-reference"}],"owner":"6941995","collectionId":"d8ce6c71-a0fd-4092-a34e-0c8ba54769b0","publishedId":"2s8YY9uRex","public":true,"customColor":{"top-bar":"FFFFFF","right-sidebar":"303030","highlight":"EF5B25"},"publishDate":"2022-11-03T12:03:16.000Z"},"item":[{"name":"CRM","item":[{"name":"Create CRM contact","id":"01b0aa88-8030-4c84-8a36-759cfd8c5aa0","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"email\": \"<email>\",\n  \"custom_fields\": {\n    \"room_id\": \"<string>\",\n    \"satisfaction_score\": \"<integer>\",\n    \"res_intermediary\": \"<string>\",\n    \"language\": \"<string>\",\n    \"source\": \"<string>\",\n    \"residence_country\": \"<string>\",\n    \"zip_code\": \"<string>\",\n    \"res_channel\": \"<string>\",\n    \"res_state\": \"<string>\",\n    \"res_amount\": \"<number>\",\n    \"res_juniors\": \"<integer>\",\n    \"last_hotel_name\": \"<string>\",\n    \"province\": \"<string>\",\n    \"res_extras\": \"<string>\",\n    \"res_currency\": \"<string>\",\n    \"res_id\": \"<string>\",\n    \"company\": \"<string>\",\n    \"res_company\": \"<string>\",\n    \"first_name\": \"<string>\",\n    \"website\": \"<string>\",\n    \"res_comments\": \"<string>\",\n    \"check_in\": \"<date>\",\n    \"res_agency\": \"<string>\",\n    \"last_name\": \"<string>\",\n    \"res_data\": \"<string>\",\n    \"res_adults\": \"<integer>\",\n    \"res_room_type\": \"<string>\",\n    \"res_board\": \"<string>\",\n    \"res_babies\": \"<integer>\",\n    \"phone_number\": \"<string>\",\n    \"res_contract\": \"<string>\"\n  },\n  \"subscription_status\": \"<string>\",\n  \"consent_given_at\": \"<dateTime>\"\n}","options":{"raw":{"language":"json"}}},"url":"https://api.hotelinking.com/crm/users/:user_id/sites/:site_id/contacts","description":"<p>Creates a new contact in the CRM system after validating the quality of the email address.</p>\n","urlObject":{"path":["crm","users",":user_id","sites",":site_id","contacts"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"c4b27d13-cdd6-4ad9-bec2-893e2cd82590","description":{"content":"<p>(Required) CRM user identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"user_id"},{"id":"9e4d8a16-7943-4ea6-beb6-a11634b86907","description":{"content":"<p>(Required) CRM site identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"site_id"}]}},"response":[],"_postman_id":"01b0aa88-8030-4c84-8a36-759cfd8c5aa0"},{"name":"List CRM custom fields","id":"db900780-9302-40d6-a38a-3a41b879ae57","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[],"url":"https://api.hotelinking.com/crm/users/:user_id/sites/:site_id/custom_fields","description":"<p>Retrieves a list of available custom fields that can be used when creating CRM contacts for the specified user and site</p>\n","urlObject":{"path":["crm","users",":user_id","sites",":site_id","custom_fields"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"a32ceafe-5041-46fa-948f-e36fccda0472","description":{"content":"<p>(Required) CRM user identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"user_id"},{"id":"02c06c84-4411-421c-b510-7437eb59b76b","description":{"content":"<p>(Required) CRM site identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"site_id"}]}},"response":[],"_postman_id":"db900780-9302-40d6-a38a-3a41b879ae57"},{"name":"Get CRM contact by email","id":"38fac54c-716e-4709-b3fa-6f2c765cc058","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[],"url":"https://api.hotelinking.com/crm/users/:user_id/sites/:site_id/contacts/:email","description":"<p>Retrieves contact information from the CRM system using the contact's email address.</p>\n","urlObject":{"path":["crm","users",":user_id","sites",":site_id","contacts",":email"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"6d6b35c4-620f-451e-8ef6-c19416e13d7c","description":{"content":"<p>(Required) CRM user identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"user_id"},{"id":"4aaed705-e8ba-40a2-9dea-207b5cbbbdcc","description":{"content":"<p>(Required) Contact email address</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"email"},{"id":"67194c57-14d6-4319-a401-c6b40fb717b0","description":{"content":"<p>(Required) CRM site identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"site_id"}]}},"response":[],"_postman_id":"38fac54c-716e-4709-b3fa-6f2c765cc058"},{"name":"Update CRM contact by email","id":"6f3b2bbb-906e-4cb9-8b2e-75d9e3820569","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"PUT","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"custom_fields\": {\n    \"room_id\": \"<string>\",\n    \"satisfaction_score\": \"<integer>\",\n    \"res_intermediary\": \"<string>\",\n    \"language\": \"<string>\",\n    \"source\": \"<string>\",\n    \"residence_country\": \"<string>\",\n    \"res_channel\": \"<string>\",\n    \"res_state\": \"<string>\",\n    \"res_amount\": \"<number>\",\n    \"res_juniors\": \"<integer>\",\n    \"last_hotel_name\": \"<string>\",\n    \"res_extras\": \"<string>\",\n    \"res_currency\": \"<string>\",\n    \"res_id\": \"<string>\",\n    \"res_company\": \"<string>\",\n    \"first_name\": \"<string>\",\n    \"res_comments\": \"<string>\",\n    \"check_in\": \"<date>\",\n    \"last_name\": \"<string>\",\n    \"res_data\": \"<string>\",\n    \"res_adults\": \"<integer>\",\n    \"res_board\": \"<string>\",\n    \"res_babies\": \"<integer>\",\n    \"phone_number\": \"<string>\",\n    \"res_contract\": \"<string>\"\n  },\n  \"subscription_status\": \"<string>\",\n  \"consent_given_at\": \"<dateTime>\",\n  \"email\": \"<email>\"\n}","options":{"raw":{"language":"json"}}},"url":"https://api.hotelinking.com/crm/users/:user_id/sites/:site_id/contacts/:email","description":"<p>Updates contact information in the CRM system using the contact's email address. Only the fields provided in the request body will be updated (partial update).</p>\n","urlObject":{"path":["crm","users",":user_id","sites",":site_id","contacts",":email"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"bf2c969c-ae20-4b15-9778-77c9410120ae","description":{"content":"<p>(Required) CRM user identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"user_id"},{"id":"0c372f6a-b9a9-40a7-b07b-4e4f771c012d","description":{"content":"<p>(Required) Contact email address to update</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"email"},{"id":"de2cc620-b350-4493-925a-ab52edeecd16","description":{"content":"<p>(Required) CRM site identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"site_id"}]}},"response":[],"_postman_id":"6f3b2bbb-906e-4cb9-8b2e-75d9e3820569"}],"id":"91b94c1e-0038-4e99-8534-fce6bf9198d6","_postman_id":"91b94c1e-0038-4e99-8534-fce6bf9198d6","description":""},{"name":"products","item":[{"name":"Get Product status","id":"6b54b21b-efe5-4974-bb66-df25a8f27094","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[{"key":"Accept","value":"application/json"}],"url":"https://api.hotelinking.com/brands/:brand_id/products/:product_id","description":"<p>Returns the product info for the brand</p>\n","urlObject":{"path":["brands",":brand_id","products",":product_id"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"8f989c65-7380-4c39-bed0-c02ac1ae6458","description":{"content":"<p>(Required) </p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"},{"id":"7db5bcc8-b324-4db2-98c8-4c48bd728224","description":{"content":"<p>(Required) </p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"product_id"}]}},"response":[{"id":"3304b148-909d-4c62-b3c2-a0294c1eef27","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/products/:product_id","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","products",":product_id"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) "},{"key":"product_id","value":"<string>","description":"(Required) "}]}},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"data\": [\n    {\n      \"product_id\": \"<integer>\",\n      \"name\": \"<string>\",\n      \"active\": \"<boolean>\"\n    },\n    {\n      \"product_id\": \"<integer>\",\n      \"name\": \"<string>\",\n      \"active\": \"<boolean>\"\n    }\n  ]\n}"},{"id":"175d75c5-6fe0-4f2c-931a-7fc890a7575d","name":"404 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/products/:product_id","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","products",":product_id"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) "},{"key":"product_id","value":"<string>","description":"(Required) "}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""}],"_postman_id":"6b54b21b-efe5-4974-bb66-df25a8f27094"},{"name":"Get Products status","id":"fd141964-acc7-4170-b7f1-ad3dee3e69a7","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[{"key":"Accept","value":"application/json"}],"url":"https://api.hotelinking.com/brands/:brand_id/products","description":"<p>Returns the products for the brand</p>\n","urlObject":{"path":["brands",":brand_id","products"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"af6067ae-39b2-44a5-8325-0b0ed4b0ba41","description":{"content":"<p>(Required) </p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"385b8667-ce1a-41d9-955c-fdb776154414","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/products","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","products"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) "}]}},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"data\": [\n    {\n      \"product_id\": \"<integer>\",\n      \"name\": \"<string>\",\n      \"active\": \"<boolean>\"\n    },\n    {\n      \"product_id\": \"<integer>\",\n      \"name\": \"<string>\",\n      \"active\": \"<boolean>\"\n    }\n  ]\n}"},{"id":"cb8ff662-ff3b-4f4c-ba57-447c1a635137","name":"404 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/products","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","products"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) "}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""}],"_postman_id":"fd141964-acc7-4170-b7f1-ad3dee3e69a7"}],"id":"da030808-9896-45db-b152-17cd338f0aa9","_postman_id":"da030808-9896-45db-b152-17cd338f0aa9","description":""},{"name":"reservation","item":[{"name":"Make precheckin on guest","id":"545b621f-d839-4926-8ad1-c47298da2de5","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"brand_config\": {\n    \"telephone\": \"<boolean>\",\n    \"scanChildrenLikeAdults\": \"<boolean>\"\n  },\n  \"res_id\": \"<string>\",\n  \"guests\": [\n    {\n      \"birthday\": \"<string>\",\n      \"address\": {\n        \"country\": \"<string>\",\n        \"province\": \"<string>\",\n        \"city\": \"<string>\",\n        \"street\": \"<string>\",\n        \"state\": \"<string>\",\n        \"postal_code\": \"<string>\"\n      },\n      \"pax_type\": \"<string>\",\n      \"gender\": \"<string>\",\n      \"identity_document\": {\n        \"number\": \"<string>\",\n        \"expedition_date\": \"<string>\",\n        \"type\": \"<string>\",\n        \"expiration_date\": \"<string>\"\n      },\n      \"signature\": \"<string>\",\n      \"documents\": [\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        },\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        }\n      ],\n      \"second_surname\": \"<string>\",\n      \"language\": \"<string>\",\n      \"pms_id\": \"<string>\",\n      \"full_name\": \"<string>\",\n      \"validated\": \"<boolean>\",\n      \"nationality\": \"<string>\",\n      \"phone\": \"<string>\",\n      \"surname\": \"<string>\",\n      \"name\": \"<string>\",\n      \"comment\": {\n        \"hours\": \"<integer>\",\n        \"minutes\": \"<integer>\",\n        \"comment\": \"<string>\"\n      },\n      \"position\": \"<integer>\",\n      \"email\": \"<string>\"\n    },\n    {\n      \"birthday\": \"<string>\",\n      \"address\": {\n        \"country\": \"<string>\",\n        \"province\": \"<string>\",\n        \"city\": \"<string>\",\n        \"street\": \"<string>\",\n        \"state\": \"<string>\",\n        \"postal_code\": \"<string>\"\n      },\n      \"pax_type\": \"<string>\",\n      \"gender\": \"<string>\",\n      \"identity_document\": {\n        \"number\": \"<string>\",\n        \"expedition_date\": \"<string>\",\n        \"type\": \"<string>\",\n        \"expiration_date\": \"<string>\"\n      },\n      \"signature\": \"<string>\",\n      \"documents\": [\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        },\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        }\n      ],\n      \"second_surname\": \"<string>\",\n      \"language\": \"<string>\",\n      \"pms_id\": \"<string>\",\n      \"full_name\": \"<string>\",\n      \"validated\": \"<boolean>\",\n      \"nationality\": \"<string>\",\n      \"phone\": \"<string>\",\n      \"surname\": \"<string>\",\n      \"name\": \"<string>\",\n      \"comment\": {\n        \"hours\": \"<integer>\",\n        \"minutes\": \"<integer>\",\n        \"comment\": \"<string>\"\n      },\n      \"position\": \"<integer>\",\n      \"email\": \"<string>\"\n    }\n  ]\n}","options":{"raw":{"language":"json"}}},"url":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/pre-check","description":"<p>Returns a reservation</p>\n","urlObject":{"path":["integrations","brands",":brand_id","reservations","pre-check"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"0c89361e-42ce-4a52-b445-6b0f539cb70b","description":{"content":"<p>(Required) Brand identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"14ccde22-9fc7-4b74-84cd-303092866741","name":"201 response","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"brand_config\": {\n    \"telephone\": \"<boolean>\",\n    \"scanChildrenLikeAdults\": \"<boolean>\"\n  },\n  \"res_id\": \"<string>\",\n  \"guests\": [\n    {\n      \"birthday\": \"<string>\",\n      \"address\": {\n        \"country\": \"<string>\",\n        \"province\": \"<string>\",\n        \"city\": \"<string>\",\n        \"street\": \"<string>\",\n        \"state\": \"<string>\",\n        \"postal_code\": \"<string>\"\n      },\n      \"pax_type\": \"<string>\",\n      \"gender\": \"<string>\",\n      \"identity_document\": {\n        \"number\": \"<string>\",\n        \"expedition_date\": \"<string>\",\n        \"type\": \"<string>\",\n        \"expiration_date\": \"<string>\"\n      },\n      \"signature\": \"<string>\",\n      \"documents\": [\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        },\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        }\n      ],\n      \"second_surname\": \"<string>\",\n      \"language\": \"<string>\",\n      \"pms_id\": \"<string>\",\n      \"full_name\": \"<string>\",\n      \"validated\": \"<boolean>\",\n      \"nationality\": \"<string>\",\n      \"phone\": \"<string>\",\n      \"surname\": \"<string>\",\n      \"name\": \"<string>\",\n      \"comment\": {\n        \"hours\": \"<integer>\",\n        \"minutes\": \"<integer>\",\n        \"comment\": \"<string>\"\n      },\n      \"position\": \"<integer>\",\n      \"email\": \"<string>\"\n    },\n    {\n      \"birthday\": \"<string>\",\n      \"address\": {\n        \"country\": \"<string>\",\n        \"province\": \"<string>\",\n        \"city\": \"<string>\",\n        \"street\": \"<string>\",\n        \"state\": \"<string>\",\n        \"postal_code\": \"<string>\"\n      },\n      \"pax_type\": \"<string>\",\n      \"gender\": \"<string>\",\n      \"identity_document\": {\n        \"number\": \"<string>\",\n        \"expedition_date\": \"<string>\",\n        \"type\": \"<string>\",\n        \"expiration_date\": \"<string>\"\n      },\n      \"signature\": \"<string>\",\n      \"documents\": [\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        },\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        }\n      ],\n      \"second_surname\": \"<string>\",\n      \"language\": \"<string>\",\n      \"pms_id\": \"<string>\",\n      \"full_name\": \"<string>\",\n      \"validated\": \"<boolean>\",\n      \"nationality\": \"<string>\",\n      \"phone\": \"<string>\",\n      \"surname\": \"<string>\",\n      \"name\": \"<string>\",\n      \"comment\": {\n        \"hours\": \"<integer>\",\n        \"minutes\": \"<integer>\",\n        \"comment\": \"<string>\"\n      },\n      \"position\": \"<integer>\",\n      \"email\": \"<string>\"\n    }\n  ]\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/pre-check","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations","pre-check"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Created","code":201,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"4817ccb4-79a2-4e4b-b955-9dfc0ca014d5","name":"400 response","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"brand_config\": {\n    \"telephone\": \"<boolean>\",\n    \"scanChildrenLikeAdults\": \"<boolean>\"\n  },\n  \"res_id\": \"<string>\",\n  \"guests\": [\n    {\n      \"birthday\": \"<string>\",\n      \"address\": {\n        \"country\": \"<string>\",\n        \"province\": \"<string>\",\n        \"city\": \"<string>\",\n        \"street\": \"<string>\",\n        \"state\": \"<string>\",\n        \"postal_code\": \"<string>\"\n      },\n      \"pax_type\": \"<string>\",\n      \"gender\": \"<string>\",\n      \"identity_document\": {\n        \"number\": \"<string>\",\n        \"expedition_date\": \"<string>\",\n        \"type\": \"<string>\",\n        \"expiration_date\": \"<string>\"\n      },\n      \"signature\": \"<string>\",\n      \"documents\": [\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        },\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        }\n      ],\n      \"second_surname\": \"<string>\",\n      \"language\": \"<string>\",\n      \"pms_id\": \"<string>\",\n      \"full_name\": \"<string>\",\n      \"validated\": \"<boolean>\",\n      \"nationality\": \"<string>\",\n      \"phone\": \"<string>\",\n      \"surname\": \"<string>\",\n      \"name\": \"<string>\",\n      \"comment\": {\n        \"hours\": \"<integer>\",\n        \"minutes\": \"<integer>\",\n        \"comment\": \"<string>\"\n      },\n      \"position\": \"<integer>\",\n      \"email\": \"<string>\"\n    },\n    {\n      \"birthday\": \"<string>\",\n      \"address\": {\n        \"country\": \"<string>\",\n        \"province\": \"<string>\",\n        \"city\": \"<string>\",\n        \"street\": \"<string>\",\n        \"state\": \"<string>\",\n        \"postal_code\": \"<string>\"\n      },\n      \"pax_type\": \"<string>\",\n      \"gender\": \"<string>\",\n      \"identity_document\": {\n        \"number\": \"<string>\",\n        \"expedition_date\": \"<string>\",\n        \"type\": \"<string>\",\n        \"expiration_date\": \"<string>\"\n      },\n      \"signature\": \"<string>\",\n      \"documents\": [\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        },\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        }\n      ],\n      \"second_surname\": \"<string>\",\n      \"language\": \"<string>\",\n      \"pms_id\": \"<string>\",\n      \"full_name\": \"<string>\",\n      \"validated\": \"<boolean>\",\n      \"nationality\": \"<string>\",\n      \"phone\": \"<string>\",\n      \"surname\": \"<string>\",\n      \"name\": \"<string>\",\n      \"comment\": {\n        \"hours\": \"<integer>\",\n        \"minutes\": \"<integer>\",\n        \"comment\": \"<string>\"\n      },\n      \"position\": \"<integer>\",\n      \"email\": \"<string>\"\n    }\n  ]\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/pre-check","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations","pre-check"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"a71e39b5-3268-442a-8cc7-8df38d8daaa7","name":"500 response","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"brand_config\": {\n    \"telephone\": \"<boolean>\",\n    \"scanChildrenLikeAdults\": \"<boolean>\"\n  },\n  \"res_id\": \"<string>\",\n  \"guests\": [\n    {\n      \"birthday\": \"<string>\",\n      \"address\": {\n        \"country\": \"<string>\",\n        \"province\": \"<string>\",\n        \"city\": \"<string>\",\n        \"street\": \"<string>\",\n        \"state\": \"<string>\",\n        \"postal_code\": \"<string>\"\n      },\n      \"pax_type\": \"<string>\",\n      \"gender\": \"<string>\",\n      \"identity_document\": {\n        \"number\": \"<string>\",\n        \"expedition_date\": \"<string>\",\n        \"type\": \"<string>\",\n        \"expiration_date\": \"<string>\"\n      },\n      \"signature\": \"<string>\",\n      \"documents\": [\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        },\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        }\n      ],\n      \"second_surname\": \"<string>\",\n      \"language\": \"<string>\",\n      \"pms_id\": \"<string>\",\n      \"full_name\": \"<string>\",\n      \"validated\": \"<boolean>\",\n      \"nationality\": \"<string>\",\n      \"phone\": \"<string>\",\n      \"surname\": \"<string>\",\n      \"name\": \"<string>\",\n      \"comment\": {\n        \"hours\": \"<integer>\",\n        \"minutes\": \"<integer>\",\n        \"comment\": \"<string>\"\n      },\n      \"position\": \"<integer>\",\n      \"email\": \"<string>\"\n    },\n    {\n      \"birthday\": \"<string>\",\n      \"address\": {\n        \"country\": \"<string>\",\n        \"province\": \"<string>\",\n        \"city\": \"<string>\",\n        \"street\": \"<string>\",\n        \"state\": \"<string>\",\n        \"postal_code\": \"<string>\"\n      },\n      \"pax_type\": \"<string>\",\n      \"gender\": \"<string>\",\n      \"identity_document\": {\n        \"number\": \"<string>\",\n        \"expedition_date\": \"<string>\",\n        \"type\": \"<string>\",\n        \"expiration_date\": \"<string>\"\n      },\n      \"signature\": \"<string>\",\n      \"documents\": [\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        },\n        {\n          \"path\": \"<string>\",\n          \"name\": \"<string>\"\n        }\n      ],\n      \"second_surname\": \"<string>\",\n      \"language\": \"<string>\",\n      \"pms_id\": \"<string>\",\n      \"full_name\": \"<string>\",\n      \"validated\": \"<boolean>\",\n      \"nationality\": \"<string>\",\n      \"phone\": \"<string>\",\n      \"surname\": \"<string>\",\n      \"name\": \"<string>\",\n      \"comment\": {\n        \"hours\": \"<integer>\",\n        \"minutes\": \"<integer>\",\n        \"comment\": \"<string>\"\n      },\n      \"position\": \"<integer>\",\n      \"email\": \"<string>\"\n    }\n  ]\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/pre-check","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations","pre-check"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Internal Server Error","code":500,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""}],"_postman_id":"545b621f-d839-4926-8ad1-c47298da2de5"},{"name":"Search reservation","id":"371c43df-b3db-4855-a0b1-58d41426dc3c","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[{"key":"Accept","value":"application/json"}],"url":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations?email=<string>&cache=<string>&reservation_identifier=<string>&first_name=<string>&last_name=<string>&reservation_code=<string>&check_in=<string>&check_out=<string>","description":"<p>Returns a reservation</p>\n","urlObject":{"path":["integrations","brands",":brand_id","reservations"],"host":["https://api.hotelinking.com"],"query":[{"description":{"content":"<p>Email of the reservation holder</p>\n","type":"text/plain"},"key":"email","value":"<string>"},{"description":{"content":"<p>Specify if cached response should be returned when it is available (If this parameter is not specified the default value will be true)</p>\n","type":"text/plain"},"key":"cache","value":"<string>"},{"description":{"content":"<p>Identifier of the reservation</p>\n","type":"text/plain"},"key":"reservation_identifier","value":"<string>"},{"description":{"content":"<p>First name of the reservation holder</p>\n","type":"text/plain"},"key":"first_name","value":"<string>"},{"description":{"content":"<p>Surname of the reservation holder</p>\n","type":"text/plain"},"key":"last_name","value":"<string>"},{"description":{"content":"<p>Localizer of the reservation</p>\n","type":"text/plain"},"key":"reservation_code","value":"<string>"},{"description":{"content":"<p>Checkin date of the reservation </p>\n<p>Expected format YYYY-MM-DDD</p>\n","type":"text/plain"},"key":"check_in","value":"<string>"},{"description":{"content":"<p>Checkout date of the reservation </p>\n<p>Expected format YYYY-MM-DD</p>\n","type":"text/plain"},"key":"check_out","value":"<string>"}],"variable":[{"id":"9039b3f3-fedc-4a03-89c8-c4560dc0fbfc","description":{"content":"<p>(Required) Brand identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"41716a76-1723-40ec-8046-4816547be269","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations?email=<string>&cache=<string>&reservation_identifier=<string>&first_name=<string>&last_name=<string>&reservation_code=<string>&check_in=<string>&check_out=<string>","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations"],"query":[{"key":"email","value":"<string>"},{"key":"cache","value":"<string>"},{"key":"reservation_identifier","value":"<string>"},{"key":"first_name","value":"<string>"},{"key":"last_name","value":"<string>"},{"key":"reservation_code","value":"<string>"},{"key":"check_in","value":"<string>"},{"key":"check_out","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"data\": [\n    {\n      \"res_nights\": \"<integer>\",\n      \"check_in\": \"<string>\",\n      \"res_localizer\": \"<string>\",\n      \"res_room_number\": \"<string>\",\n      \"brand_id\": \"<integer>\",\n      \"res_date\": \"<string>\",\n      \"check_out\": \"<string>\",\n      \"res_adults\": \"<integer>\",\n      \"res_board\": \"<string>\",\n      \"res_id\": \"<string>\",\n      \"res_babies\": \"<integer>\",\n      \"guests\": [\n        {\n          \"birthday\": \"<string>\",\n          \"address\": \"<string>\",\n          \"pax_type\": \"<integer>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"holder\": \"<boolean>\",\n          \"telephone\": \"<string>\",\n          \"document_id\": \"<string>\",\n          \"residence_country\": \"<string>\",\n          \"birth_country\": \"<string>\",\n          \"pms_id\": \"<string>\",\n          \"validated\": \"<boolean>\",\n          \"nationality\": \"<string>\",\n          \"province\": \"<string>\",\n          \"position\": \"<string>\",\n          \"postal_code\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"email\": \"<string>\"\n        },\n        {\n          \"birthday\": \"<string>\",\n          \"address\": \"<string>\",\n          \"pax_type\": \"<integer>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"holder\": \"<boolean>\",\n          \"telephone\": \"<string>\",\n          \"document_id\": \"<string>\",\n          \"residence_country\": \"<string>\",\n          \"birth_country\": \"<string>\",\n          \"pms_id\": \"<string>\",\n          \"validated\": \"<boolean>\",\n          \"nationality\": \"<string>\",\n          \"province\": \"<string>\",\n          \"position\": \"<string>\",\n          \"postal_code\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"email\": \"<string>\"\n        }\n      ],\n      \"res_children\": \"<integer>\"\n    },\n    {\n      \"res_nights\": \"<integer>\",\n      \"check_in\": \"<string>\",\n      \"res_localizer\": \"<string>\",\n      \"res_room_number\": \"<string>\",\n      \"brand_id\": \"<integer>\",\n      \"res_date\": \"<string>\",\n      \"check_out\": \"<string>\",\n      \"res_adults\": \"<integer>\",\n      \"res_board\": \"<string>\",\n      \"res_id\": \"<string>\",\n      \"res_babies\": \"<integer>\",\n      \"guests\": [\n        {\n          \"birthday\": \"<string>\",\n          \"address\": \"<string>\",\n          \"pax_type\": \"<integer>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"holder\": \"<boolean>\",\n          \"telephone\": \"<string>\",\n          \"document_id\": \"<string>\",\n          \"residence_country\": \"<string>\",\n          \"birth_country\": \"<string>\",\n          \"pms_id\": \"<string>\",\n          \"validated\": \"<boolean>\",\n          \"nationality\": \"<string>\",\n          \"province\": \"<string>\",\n          \"position\": \"<string>\",\n          \"postal_code\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"email\": \"<string>\"\n        },\n        {\n          \"birthday\": \"<string>\",\n          \"address\": \"<string>\",\n          \"pax_type\": \"<integer>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"holder\": \"<boolean>\",\n          \"telephone\": \"<string>\",\n          \"document_id\": \"<string>\",\n          \"residence_country\": \"<string>\",\n          \"birth_country\": \"<string>\",\n          \"pms_id\": \"<string>\",\n          \"validated\": \"<boolean>\",\n          \"nationality\": \"<string>\",\n          \"province\": \"<string>\",\n          \"position\": \"<string>\",\n          \"postal_code\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"email\": \"<string>\"\n        }\n      ],\n      \"res_children\": \"<integer>\"\n    }\n  ]\n}"},{"id":"524ed8e9-5530-4157-b46b-74ba801da856","name":"400 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations?email=<string>&cache=<string>&reservation_identifier=<string>&first_name=<string>&last_name=<string>&reservation_code=<string>&check_in=<string>&check_out=<string>","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations"],"query":[{"key":"email","value":"<string>"},{"key":"cache","value":"<string>"},{"key":"reservation_identifier","value":"<string>"},{"key":"first_name","value":"<string>"},{"key":"last_name","value":"<string>"},{"key":"reservation_code","value":"<string>"},{"key":"check_in","value":"<string>"},{"key":"check_out","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"0a9f29e1-b3c1-4ef3-b0fa-c193070022c8","name":"500 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations?email=<string>&cache=<string>&reservation_identifier=<string>&first_name=<string>&last_name=<string>&reservation_code=<string>&check_in=<string>&check_out=<string>","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations"],"query":[{"key":"email","value":"<string>"},{"key":"cache","value":"<string>"},{"key":"reservation_identifier","value":"<string>"},{"key":"first_name","value":"<string>"},{"key":"last_name","value":"<string>"},{"key":"reservation_code","value":"<string>"},{"key":"check_in","value":"<string>"},{"key":"check_out","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Internal Server Error","code":500,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""}],"_postman_id":"371c43df-b3db-4855-a0b1-58d41426dc3c"},{"name":"Upload Documents to a guest in a reservation","id":"cea98c14-40e2-4dbe-b8bd-a84cc651044b","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"documents\": [\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    },\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    }\n  ],\n  \"res_id\": \"<string>\"\n}","options":{"raw":{"language":"json"}}},"url":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/documents","description":"<p>Upload a document to a guest in a reservation</p>\n","urlObject":{"path":["integrations","brands",":brand_id","reservations","documents"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"f17a1d9e-6433-45e3-9e5e-b83660f3cb7d","description":{"content":"<p>(Required) Brand identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"34fb372d-e858-4f28-96ba-c3bbb899836e","name":"204 response","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"documents\": [\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    },\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    }\n  ],\n  \"res_id\": \"<string>\"\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/documents","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations","documents"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"No Content","code":204,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"c5476529-a01d-4130-ab7b-4d4bc864fe16","name":"400 response","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"documents\": [\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    },\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    }\n  ],\n  \"res_id\": \"<string>\"\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/documents","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations","documents"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"17ae67f5-fc4f-4c04-bc71-ad7fa3d1b423","name":"500 response","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"documents\": [\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    },\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    }\n  ],\n  \"res_id\": \"<string>\"\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/documents","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations","documents"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Internal Server Error","code":500,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""}],"_postman_id":"cea98c14-40e2-4dbe-b8bd-a84cc651044b"}],"id":"3266a93b-6539-4f70-be09-fcec46cea97b","_postman_id":"3266a93b-6539-4f70-be09-fcec46cea97b","description":""},{"name":"autocheckin","item":[{"name":"Get request stats (search, scan, checkin)","id":"9cc39ed8-af00-46f2-8152-8809e3c06694","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[],"url":"https://api.hotelinking.com/brands/:brand_id/autocheckin/stats/request?date_from=<string>&search_value=<string>&date_to=<string>&name=<string>&sort_field=<string>&page=<string>&sort_order=<string>&per_page=<string>&search_by=<string>","description":"<p>Returns requests checkin stats for a brand</p>\n","urlObject":{"path":["brands",":brand_id","autocheckin","stats","request"],"host":["https://api.hotelinking.com"],"query":[{"description":{"content":"<p>Stats date_from filter</p>\n<p>Format: date</p>\n<p>Expected format: YYYY-MM-DD</p>\n","type":"text/plain"},"key":"date_from","value":"<string>"},{"description":{"content":"<p>Value to search the data by</p>\n","type":"text/plain"},"key":"search_value","value":"<string>"},{"description":{"content":"<p>Stats date_to filter</p>\n<p>Format: date</p>\n<p>Expected format: YYYY-MM-DD</p>\n","type":"text/plain"},"key":"date_to","value":"<string>"},{"description":{"content":"<p>The name of the request</p>\n<p>Values: reservation, scan, checkin</p>\n","type":"text/plain"},"key":"name","value":"<string>"},{"description":{"content":"<p>Field to sort the data by</p>\n<p>Values: time, trace_id, source</p>\n","type":"text/plain"},"key":"sort_field","value":"<string>"},{"description":{"content":"<p>Page number to retrieve data</p>\n<p>Default: 1</p>\n","type":"text/plain"},"key":"page","value":"<string>"},{"description":{"content":"<p>Sort order for the data</p>\n<p>Values: ASC, DESC</p>\n<p>Default: DESC</p>\n","type":"text/plain"},"key":"sort_order","value":"<string>"},{"description":{"content":"<p>Number of items to retrieve per page</p>\n<p>Default:10</p>\n","type":"text/plain"},"key":"per_page","value":"<string>"},{"description":{"content":"<p>Field to search the data by</p>\n<p>Values: trace_id, error, error_code, source, res_id, check_in, check_out, name, surname, nationality</p>\n","type":"text/plain"},"key":"search_by","value":"<string>"}],"variable":[{"id":"ee444bd7-5fa4-49ec-9b78-56f9e7eb8f62","description":{"content":"<p>(Required) Brand identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"209729db-a082-4e41-b93e-879704221b6f","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/autocheckin/stats/request?date_from=<string>&search_value=<string>&date_to=<string>&name=<string>&sort_field=<string>&page=<string>&sort_order=<string>&per_page=<string>&search_by=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","autocheckin","stats","request"],"query":[{"key":"date_from","value":"<string>"},{"key":"search_value","value":"<string>"},{"key":"date_to","value":"<string>"},{"key":"name","value":"<string>"},{"key":"sort_field","value":"<string>"},{"key":"page","value":"<string>"},{"key":"sort_order","value":"<string>"},{"key":"per_page","value":"<string>"},{"key":"search_by","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"OK","code":200,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""}],"_postman_id":"9cc39ed8-af00-46f2-8152-8809e3c06694"},{"name":"Get overview checkin stats","id":"a58ec6eb-dd94-489d-89d1-8500cfe622e0","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[],"url":"https://api.hotelinking.com/brands/:brand_id/autocheckin/stats/overview?date_from=<string>&date_to=<string>&interval=<string>","description":"<p>Returns an overview of checkin stats for a brand</p>\n","urlObject":{"path":["brands",":brand_id","autocheckin","stats","overview"],"host":["https://api.hotelinking.com"],"query":[{"description":{"content":"<p>Stats date_from filter</p>\n<p>Format: date</p>\n<p>Expected format: YYYY-MM-DD</p>\n","type":"text/plain"},"key":"date_from","value":"<string>"},{"description":{"content":"<p>Stats date_to filter date</p>\n<p>Format: date</p>\n<p>Expected format: YYYY-MM-DD</p>\n","type":"text/plain"},"key":"date_to","value":"<string>"},{"description":{"content":"<p>The interval to group the data</p>\n<p>Values: 24h, 1d, 7d, 30d</p>\n<p>Default: 24h</p>\n","type":"text/plain"},"key":"interval","value":"<string>"}],"variable":[{"id":"263a52ef-436c-4f3b-8099-b26e13f14964","description":{"content":"<p>(Required) Brand identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"5cfec34b-2509-40fd-85e3-f220a4fc44c9","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/autocheckin/stats/overview?date_from=<string>&date_to=<string>&interval=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","autocheckin","stats","overview"],"query":[{"key":"date_from","value":"<string>"},{"key":"date_to","value":"<string>"},{"key":"interval","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"OK","code":200,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""}],"_postman_id":"a58ec6eb-dd94-489d-89d1-8500cfe622e0"}],"id":"9aa5624b-1fd2-4c78-8757-5a418b351d3e","_postman_id":"9aa5624b-1fd2-4c78-8757-5a418b351d3e","description":""},{"name":"users","item":[{"name":"Get brand user","id":"c1fa89a2-04d4-4ae9-8326-3302b2b37196","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[{"key":"Accept","value":"application/json"}],"url":"https://api.hotelinking.com/brands/:brand_id/users/:user_id","description":"<p>Returns a user from a brand</p>\n","urlObject":{"path":["brands",":brand_id","users",":user_id"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"3f68aedd-46ba-477d-95a4-3b1d856cf61c","description":{"content":"<p>(Required) Brand id to be used to retrieve user</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"},{"id":"6a9d88fd-f5f7-4a0c-9bb7-6ad825aabdac","description":{"content":"<p>(Required) User id to be used to retrieve user</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"user_id"}]}},"response":[{"id":"4fc26a67-91c3-4258-989c-80643dd6086d","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/users/:user_id","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","users",":user_id"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand id to be used to retrieve user"},{"key":"user_id","value":"<string>","description":"(Required) User id to be used to retrieve user"}]}},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"data\": {\n    \"birthday\": \"<date>\",\n    \"brand\": {\n      \"id\": \"<integer>\",\n      \"last_visit\": \"<date>\",\n      \"name\": \"<string>\"\n    },\n    \"country\": \"<string>\",\n    \"created_at\": \"<date>\",\n    \"document_id\": \"<string>\",\n    \"email\": \"<email>\",\n    \"email_result\": \"<string>\",\n    \"first_name\": \"<string>\",\n    \"gdpr_accepted\": \"<integer>\",\n    \"gender\": \"<string>\",\n    \"id\": \"<integer>\",\n    \"lang\": \"<string>\",\n    \"last_name\": \"<string>\",\n    \"locale\": \"<string>\",\n    \"name\": \"<string>\",\n    \"reservation\": {\n      \"address\": \"<string>\",\n      \"birth_country\": \"<string>\",\n      \"birthday\": \"<date>\",\n      \"brand_id\": \"<integer>\",\n      \"check_in\": \"<date>\",\n      \"check_out\": \"<date>\",\n      \"city\": \"<string>\",\n      \"document_date_issue\": \"<date>\",\n      \"document_id\": \"<string>\",\n      \"document_type\": \"<string>\",\n      \"email\": \"<string>\",\n      \"first_name\": \"<string>\",\n      \"gender\": \"<string>\",\n      \"hotel_id\": \"<integer>\",\n      \"hotel_name\": \"<string>\",\n      \"last_name\": \"<string>\",\n      \"loyalty_member\": \"<integer>\",\n      \"nationality\": \"<string>\",\n      \"pax_type\": \"<string>\",\n      \"percent\": \"<integer>\",\n      \"pms_id\": \"<string>\",\n      \"position\": \"<integer>\",\n      \"postal_code\": \"<string>\",\n      \"province\": \"<string>\",\n      \"res_adults\": \"<integer>\",\n      \"res_agency\": \"<string>\",\n      \"res_amount\": \"<string>\",\n      \"res_babies\": \"<integer>\",\n      \"res_board\": \"<string>\",\n      \"res_channel\": \"<string>\",\n      \"res_childrens\": \"<string>\",\n      \"res_company\": \"<string>\",\n      \"res_contract\": \"<string>\",\n      \"res_currency\": \"<string>\",\n      \"res_data\": \"<string>\",\n      \"res_date\": \"<date>\",\n      \"res_id\": \"<string>\",\n      \"res_integerermediary\": \"<string>\",\n      \"res_juniors\": \"<string>\",\n      \"res_nights\": \"<integer>\",\n      \"res_room_number\": \"<string>\",\n      \"res_room_type\": \"<string>\",\n      \"res_seniors\": \"<string>\",\n      \"residence_country\": \"<string>\",\n      \"telephone\": \"<string>\"\n    },\n    \"sendex\": \"<number>\",\n    \"unsubscribed\": \"<integer>\",\n    \"visit\": {\n      \"room_number\": \"<string>\"\n    }\n  }\n}"},{"id":"2ac813c4-6a52-429a-b6c8-10f00e3a8602","name":"400 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/users/:user_id","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","users",":user_id"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand id to be used to retrieve user"},{"key":"user_id","value":"<string>","description":"(Required) User id to be used to retrieve user"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"errors\": \"<string>\"\n}"},{"id":"32480436-51dc-4aca-8d27-ff857327f038","name":"500 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/users/:user_id","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","users",":user_id"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand id to be used to retrieve user"},{"key":"user_id","value":"<string>","description":"(Required) User id to be used to retrieve user"}]}},"status":"Internal Server Error","code":500,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"errors\": \"<string>\"\n}"}],"_postman_id":"c1fa89a2-04d4-4ae9-8326-3302b2b37196"},{"name":"List brand users","id":"85f9963e-3401-4e6b-965c-2880d6d4d285","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[{"key":"Accept","value":"application/json"}],"url":"https://api.hotelinking.com/brands/:brand_id/users?date_from=<string>&date_to=<string>&unsubscribed=<string>&brands=<string>&page=<string>&page_items=<string>","description":"<p>Returns a paginated list of users for one or many brands</p>\n","urlObject":{"path":["brands",":brand_id","users"],"host":["https://api.hotelinking.com"],"query":[{"description":{"content":"<p>Users that visited the hotel from date_from filter </p>\n<p>Expected format YYYY-MM-DD</p>\n","type":"text/plain"},"key":"date_from","value":"<string>"},{"description":{"content":"<p>Users that visited the hotel date_to filter </p>\n<p>Expected format YYYY-MM-DD</p>\n","type":"text/plain"},"key":"date_to","value":"<string>"},{"description":{"content":"<p>Filter users that visited the hotel by subscription status</p>\n","type":"text/plain"},"key":"unsubscribed","value":"<string>"},{"description":{"content":"<p>Comma separated list of brand ids that belong to a chain (brand_id path parameter), this parameter will be disconsidered if not a hotel chain</p>\n","type":"text/plain"},"key":"brands","value":"<string>"},{"description":{"content":"<p>Pagination page number</p>\n<p>Default: 1</p>\n","type":"text/plain"},"key":"page","value":"<string>"},{"description":{"content":"<p>Pagination number of items per page </p>\n<p>Default: 100</p>\n<p>Maximum: 500</p>\n<p>Minimum: 1</p>\n","type":"text/plain"},"key":"page_items","value":"<string>"}],"variable":[{"id":"28045ff1-f414-4cb9-8b76-451854684f1b","description":{"content":"<p>(Required) Brand id to be used to fetch users</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"2bd702ea-27af-483b-8389-948798f843c5","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/users?date_from=<string>&date_to=<string>&unsubscribed=<string>&brands=<string>&page=<string>&page_items=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","users"],"query":[{"key":"date_from","value":"<string>"},{"key":"date_to","value":"<string>"},{"key":"unsubscribed","value":"<string>"},{"key":"brands","value":"<string>"},{"key":"page","value":"<string>"},{"key":"page_items","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand id to be used to fetch users"}]}},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"data\": [\n    {\n      \"birthday\": \"<date>\",\n      \"brand\": {\n        \"id\": \"<integer>\",\n        \"last_visit\": \"<date>\",\n        \"name\": \"<string>\"\n      },\n      \"country\": \"<string>\",\n      \"created_at\": \"<date>\",\n      \"document_id\": \"<string>\",\n      \"email\": \"<email>\",\n      \"email_result\": \"<string>\",\n      \"first_name\": \"<string>\",\n      \"gdpr_accepted\": \"<integer>\",\n      \"gender\": \"<string>\",\n      \"id\": \"<integer>\",\n      \"lang\": \"<string>\",\n      \"last_name\": \"<string>\",\n      \"locale\": \"<string>\",\n      \"name\": \"<string>\",\n      \"reservation\": {\n        \"address\": \"<string>\",\n        \"birth_country\": \"<string>\",\n        \"birthday\": \"<date>\",\n        \"brand_id\": \"<integer>\",\n        \"check_in\": \"<date>\",\n        \"check_out\": \"<date>\",\n        \"city\": \"<string>\",\n        \"document_date_issue\": \"<date>\",\n        \"document_id\": \"<string>\",\n        \"document_type\": \"<string>\",\n        \"email\": \"<string>\",\n        \"first_name\": \"<string>\",\n        \"gender\": \"<string>\",\n        \"hotel_id\": \"<integer>\",\n        \"hotel_name\": \"<string>\",\n        \"last_name\": \"<string>\",\n        \"loyalty_member\": \"<integer>\",\n        \"nationality\": \"<string>\",\n        \"pax_type\": \"<string>\",\n        \"percent\": \"<integer>\",\n        \"pms_id\": \"<string>\",\n        \"position\": \"<integer>\",\n        \"postal_code\": \"<string>\",\n        \"province\": \"<string>\",\n        \"res_adults\": \"<integer>\",\n        \"res_agency\": \"<string>\",\n        \"res_amount\": \"<string>\",\n        \"res_babies\": \"<integer>\",\n        \"res_board\": \"<string>\",\n        \"res_channel\": \"<string>\",\n        \"res_childrens\": \"<string>\",\n        \"res_company\": \"<string>\",\n        \"res_contract\": \"<string>\",\n        \"res_currency\": \"<string>\",\n        \"res_data\": \"<string>\",\n        \"res_date\": \"<date>\",\n        \"res_id\": \"<string>\",\n        \"res_integerermediary\": \"<string>\",\n        \"res_juniors\": \"<string>\",\n        \"res_nights\": \"<integer>\",\n        \"res_room_number\": \"<string>\",\n        \"res_room_type\": \"<string>\",\n        \"res_seniors\": \"<string>\",\n        \"residence_country\": \"<string>\",\n        \"telephone\": \"<string>\"\n      },\n      \"sendex\": \"<number>\",\n      \"unsubscribed\": \"<integer>\",\n      \"visit\": {\n        \"room_number\": \"<string>\"\n      }\n    },\n    {\n      \"birthday\": \"<date>\",\n      \"brand\": {\n        \"id\": \"<integer>\",\n        \"last_visit\": \"<date>\",\n        \"name\": \"<string>\"\n      },\n      \"country\": \"<string>\",\n      \"created_at\": \"<date>\",\n      \"document_id\": \"<string>\",\n      \"email\": \"<email>\",\n      \"email_result\": \"<string>\",\n      \"first_name\": \"<string>\",\n      \"gdpr_accepted\": \"<integer>\",\n      \"gender\": \"<string>\",\n      \"id\": \"<integer>\",\n      \"lang\": \"<string>\",\n      \"last_name\": \"<string>\",\n      \"locale\": \"<string>\",\n      \"name\": \"<string>\",\n      \"reservation\": {\n        \"address\": \"<string>\",\n        \"birth_country\": \"<string>\",\n        \"birthday\": \"<date>\",\n        \"brand_id\": \"<integer>\",\n        \"check_in\": \"<date>\",\n        \"check_out\": \"<date>\",\n        \"city\": \"<string>\",\n        \"document_date_issue\": \"<date>\",\n        \"document_id\": \"<string>\",\n        \"document_type\": \"<string>\",\n        \"email\": \"<string>\",\n        \"first_name\": \"<string>\",\n        \"gender\": \"<string>\",\n        \"hotel_id\": \"<integer>\",\n        \"hotel_name\": \"<string>\",\n        \"last_name\": \"<string>\",\n        \"loyalty_member\": \"<integer>\",\n        \"nationality\": \"<string>\",\n        \"pax_type\": \"<string>\",\n        \"percent\": \"<integer>\",\n        \"pms_id\": \"<string>\",\n        \"position\": \"<integer>\",\n        \"postal_code\": \"<string>\",\n        \"province\": \"<string>\",\n        \"res_adults\": \"<integer>\",\n        \"res_agency\": \"<string>\",\n        \"res_amount\": \"<string>\",\n        \"res_babies\": \"<integer>\",\n        \"res_board\": \"<string>\",\n        \"res_channel\": \"<string>\",\n        \"res_childrens\": \"<string>\",\n        \"res_company\": \"<string>\",\n        \"res_contract\": \"<string>\",\n        \"res_currency\": \"<string>\",\n        \"res_data\": \"<string>\",\n        \"res_date\": \"<date>\",\n        \"res_id\": \"<string>\",\n        \"res_integerermediary\": \"<string>\",\n        \"res_juniors\": \"<string>\",\n        \"res_nights\": \"<integer>\",\n        \"res_room_number\": \"<string>\",\n        \"res_room_type\": \"<string>\",\n        \"res_seniors\": \"<string>\",\n        \"residence_country\": \"<string>\",\n        \"telephone\": \"<string>\"\n      },\n      \"sendex\": \"<number>\",\n      \"unsubscribed\": \"<integer>\",\n      \"visit\": {\n        \"room_number\": \"<string>\"\n      }\n    }\n  ],\n  \"links\": {\n    \"first\": \"<string>\",\n    \"last\": \"<string>\",\n    \"next\": \"<string>\",\n    \"prev\": \"<string>\"\n  },\n  \"meta\": {\n    \"current_page\": \"<integer>\",\n    \"from\": \"<integer>\",\n    \"last_page\": \"<integer>\",\n    \"path\": \"<string>\",\n    \"per_page\": \"<integer>\",\n    \"to\": \"<integer>\",\n    \"total\": \"<integer>\"\n  }\n}"},{"id":"868eb8c5-5c93-4601-b8a7-b350ec44c621","name":"400 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/users?date_from=<string>&date_to=<string>&unsubscribed=<string>&brands=<string>&page=<string>&page_items=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","users"],"query":[{"key":"date_from","value":"<string>"},{"key":"date_to","value":"<string>"},{"key":"unsubscribed","value":"<string>"},{"key":"brands","value":"<string>"},{"key":"page","value":"<string>"},{"key":"page_items","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand id to be used to fetch users"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"errors\": \"<string>\"\n}"},{"id":"0e47bdfb-2bbe-4705-abe4-e90206d93aef","name":"500 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/users?date_from=<string>&date_to=<string>&unsubscribed=<string>&brands=<string>&page=<string>&page_items=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","users"],"query":[{"key":"date_from","value":"<string>"},{"key":"date_to","value":"<string>"},{"key":"unsubscribed","value":"<string>"},{"key":"brands","value":"<string>"},{"key":"page","value":"<string>"},{"key":"page_items","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand id to be used to fetch users"}]}},"status":"Internal Server Error","code":500,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"errors\": \"<string>\"\n}"}],"_postman_id":"85f9963e-3401-4e6b-965c-2880d6d4d285"}],"id":"30b0e74e-89e8-40cb-a38e-fcf0f68fb7e3","_postman_id":"30b0e74e-89e8-40cb-a38e-fcf0f68fb7e3","description":""},{"name":"gdpr","item":[{"name":"Get brand GDPR","id":"0b2284b9-771f-4421-a268-ecc6bb4b9434","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[{"key":"Accept","value":"application/json"}],"url":"https://api.hotelinking.com/brands/:brand_id/gdpr?lang=<string>","description":"<p>Returns the GDPR for the brand</p>\n","urlObject":{"path":["brands",":brand_id","gdpr"],"host":["https://api.hotelinking.com"],"query":[{"description":{"content":"<p>(Required) Language of the GDPR to be obtained</p>\n","type":"text/plain"},"key":"lang","value":"<string>"}],"variable":[{"id":"85addf1a-ff83-436d-8bf9-7974c6a826b5","description":{"content":"<p>(Required) Brand id to be used to fetch GDPR</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"f922de4b-a022-4e78-942e-5be25fb1cc7b","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/gdpr?lang=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","gdpr"],"query":[{"key":"lang","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand id to be used to fetch GDPR"}]}},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"data\": {\n    \"first_eprivacy_page\": \"<string>\",\n    \"legal_text\": \"<string>\",\n    \"restricted_portal\": \"<boolean>\",\n    \"second_eprivacy_page\": \"<integer>\"\n  }\n}"},{"id":"b7102f1c-3548-467f-88d5-22968f0ef881","name":"400 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/gdpr?lang=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","gdpr"],"query":[{"key":"lang","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand id to be used to fetch GDPR"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"e5117685-8eba-44f5-ab90-73203242c70e","name":"404 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/gdpr?lang=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","gdpr"],"query":[{"key":"lang","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand id to be used to fetch GDPR"}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""}],"_postman_id":"0b2284b9-771f-4421-a268-ecc6bb4b9434"}],"id":"7a737cdf-1ef2-4e4a-8ffb-cb6f6d726ada","_postman_id":"7a737cdf-1ef2-4e4a-8ffb-cb6f6d726ada","description":""},{"name":"documents","item":[{"name":"Download document","id":"d703d030-6b54-47a4-9fa6-5d0aa662aa66","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[{"key":"Accept","value":"application/json"}],"url":"https://api.hotelinking.com/brands/:brand_id/documents/download?path=<string>","description":"<p>Returns a document file</p>\n","urlObject":{"path":["brands",":brand_id","documents","download"],"host":["https://api.hotelinking.com"],"query":[{"description":{"content":"<p>(Required) document path</p>\n","type":"text/plain"},"key":"path","value":"<string>"}],"variable":[{"id":"86ed87e8-f9d4-4c0f-8d8c-f90d568d0dd8","description":{"content":"<p>(Required) Identifier to be used to fetch documents</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"1912dde5-0cfe-46db-aec6-f0980167363f","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/documents/download?path=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","documents","download"],"query":[{"key":"path","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Identifier to be used to fetch documents"}]}},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"\"<binary>\""},{"id":"4236c386-c005-4a08-a6f7-34174b3d7f7f","name":"400 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/documents/download?path=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","documents","download"],"query":[{"key":"path","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Identifier to be used to fetch documents"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"errors\": \"<string>\"\n}"},{"id":"7331f8e6-408f-4926-8e3f-863345f07f39","name":"500 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/documents/download?path=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","documents","download"],"query":[{"key":"path","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Identifier to be used to fetch documents"}]}},"status":"Internal Server Error","code":500,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"errors\": \"<string>\"\n}"}],"_postman_id":"d703d030-6b54-47a4-9fa6-5d0aa662aa66"},{"name":"Upload Documents to a guest in a reservation","id":"ffeb5e7d-7700-4ee3-ac51-e5a42ce1f38d","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"documents\": [\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    },\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    }\n  ],\n  \"res_id\": \"<string>\"\n}","options":{"raw":{"language":"json"}}},"url":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/documents","description":"<p>Upload a document to a guest in a reservation</p>\n","urlObject":{"path":["integrations","brands",":brand_id","reservations","documents"],"host":["https://api.hotelinking.com"],"query":[],"variable":[{"id":"9978a9a2-fd0c-4999-8bbe-fceff5730ff6","description":{"content":"<p>(Required) Brand identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"fd3429b8-b8b2-4be7-ab17-3e23e070f5c6","name":"204 response","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"documents\": [\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    },\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    }\n  ],\n  \"res_id\": \"<string>\"\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/documents","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations","documents"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"No Content","code":204,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"1fa480be-ecb3-4b0d-b010-f261d94408cd","name":"400 response","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"documents\": [\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    },\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    }\n  ],\n  \"res_id\": \"<string>\"\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/documents","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations","documents"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"1541fa7d-73be-4b06-b4b7-b769be36bffa","name":"500 response","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"documents\": [\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    },\n    {\n      \"pms_id\": \"<string>\",\n      \"path\": \"<object>\",\n      \"name\": \"<string>\",\n      \"content\": \"<object>\"\n    }\n  ],\n  \"res_id\": \"<string>\"\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.hotelinking.com/integrations/brands/:brand_id/reservations/documents","host":["https://api.hotelinking.com"],"path":["integrations","brands",":brand_id","reservations","documents"],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Internal Server Error","code":500,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""}],"_postman_id":"ffeb5e7d-7700-4ee3-ac51-e5a42ce1f38d"},{"name":"List documents path","id":"cf6740ea-99cf-4100-a474-461b79b658c0","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"GET","header":[{"key":"Accept","value":"application/json"}],"url":"https://api.hotelinking.com/brands/:brand_id/documents?date=<string>&reservation_id=<string>","description":"<p>Returns a list of document paths</p>\n","urlObject":{"path":["brands",":brand_id","documents"],"host":["https://api.hotelinking.com"],"query":[{"key":"date","value":"<string>"},{"description":{"content":"<p>Reservation identifier</p>\n","type":"text/plain"},"key":"reservation_id","value":"<string>"}],"variable":[{"id":"b6958d83-552b-4dd5-8428-e653935a0c68","description":{"content":"<p>(Required) Brand identifier</p>\n","type":"text/plain"},"type":"any","value":"<string>","key":"brand_id"}]}},"response":[{"id":"26bc01df-b7d8-45de-ab1b-cba16a2b6b1a","name":"200 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/documents?date=<string>&reservation_id=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","documents"],"query":[{"key":"date","value":"<string>"},{"key":"reservation_id","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"data\": [\n    \"<string>\",\n    \"<string>\"\n  ]\n}"},{"id":"49991906-9f9b-4764-be36-d84234f82f7b","name":"400 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/documents?date=<string>&reservation_id=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","documents"],"query":[{"key":"date","value":"<string>"},{"key":"reservation_id","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"errors\": \"<string>\"\n}"},{"id":"859de787-6a08-407f-83ff-e479b212496c","name":"500 response","originalRequest":{"method":"GET","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"url":{"raw":"https://api.hotelinking.com/brands/:brand_id/documents?date=<string>&reservation_id=<string>","host":["https://api.hotelinking.com"],"path":["brands",":brand_id","documents"],"query":[{"key":"date","value":"<string>"},{"key":"reservation_id","value":"<string>"}],"variable":[{"key":"brand_id","value":"<string>","description":"(Required) Brand identifier"}]}},"status":"Internal Server Error","code":500,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"errors\": \"<string>\"\n}"}],"_postman_id":"cf6740ea-99cf-4100-a474-461b79b658c0"}],"id":"2f42f20b-57dc-4443-9c3e-8dd046ffc00f","_postman_id":"2f42f20b-57dc-4443-9c3e-8dd046ffc00f","description":""},{"name":"Webhook","item":[{"name":"Synchronize reservation webhook","id":"eb3686f7-5d4f-4181-8a79-e7ba5a6ac64f","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"<value>"}]},"isInherited":false},"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"reservation\": {\n    \"pms_reservation_id\": \"<string>\",\n    \"confirmation_number\": \"<string>\",\n    \"total_value\": \"<number>\",\n    \"booking_company\": \"<string>\",\n    \"board_type\": \"<string>\",\n    \"booking_date\": \"<dateTime>\",\n    \"adults\": \"<integer>\",\n    \"created_at\": \"<dateTime>\",\n    \"total_extras\": \"<number>\",\n    \"extras\": [\n      {\n        \"amount\": \"<number>\",\n        \"code\": \"<string>\",\n        \"quantity\": \"<integer>\",\n        \"notes\": \"<string>\",\n        \"name\": \"<string>\",\n        \"description\": \"<string>\",\n        \"posted_at\": \"<dateTime>\"\n      },\n      {\n        \"amount\": \"<number>\",\n        \"code\": \"<string>\",\n        \"quantity\": \"<integer>\",\n        \"notes\": \"<string>\",\n        \"name\": \"<string>\",\n        \"description\": \"<string>\",\n        \"posted_at\": \"<dateTime>\"\n      }\n    ],\n    \"babies\": \"<integer>\",\n    \"hotel_code\": \"<string>\",\n    \"rate_plan\": \"<string>\",\n    \"booking_id\": \"<string>\",\n    \"check_out\": \"<dateTime>\",\n    \"juniors\": \"<integer>\",\n    \"updated_at\": \"<dateTime>\",\n    \"contract_code\": \"<string>\",\n    \"children\": \"<integer>\",\n    \"currency\": \"<string>\",\n    \"campaign_id\": \"<string>\",\n    \"booking_amount\": \"<number>\",\n    \"comments\": \"<string>\",\n    \"booking_channel\": \"<string>\",\n    \"source_system\": \"<string>\",\n    \"check_in\": \"<dateTime>\",\n    \"booking_agency\": \"<string>\",\n    \"hotel_name\": \"<string>\",\n    \"reservation_id\": \"<string>\",\n    \"extra_data\": \"<object>\",\n    \"nights\": \"<integer>\",\n    \"guests\": [\n      {\n        \"is_owner\": \"<boolean>\",\n        \"contact\": {\n          \"birthday\": \"<date>\",\n          \"country\": \"<string>\",\n          \"external_contact_id\": \"<string>\",\n          \"document_number\": \"<string>\",\n          \"pax_type\": \"<string>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"created_at\": \"<dateTime>\",\n          \"language\": \"<string>\",\n          \"zip_code\": \"<string>\",\n          \"province\": \"<string>\",\n          \"nationality\": \"<string>\",\n          \"updated_at\": \"<dateTime>\",\n          \"phone\": \"<string>\",\n          \"loyalty_number\": \"<string>\",\n          \"vip_status\": \"<boolean>\",\n          \"company\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"marketing_opt_in\": \"<boolean>\",\n          \"email\": \"<email>\",\n          \"document_type\": \"<string>\"\n        },\n        \"qui_6\": false,\n        \"sed1\": 95843453\n      },\n      {\n        \"is_owner\": \"<boolean>\",\n        \"contact\": {\n          \"birthday\": \"<date>\",\n          \"country\": \"<string>\",\n          \"external_contact_id\": \"<string>\",\n          \"document_number\": \"<string>\",\n          \"pax_type\": \"<string>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"created_at\": \"<dateTime>\",\n          \"language\": \"<string>\",\n          \"zip_code\": \"<string>\",\n          \"province\": \"<string>\",\n          \"nationality\": \"<string>\",\n          \"updated_at\": \"<dateTime>\",\n          \"phone\": \"<string>\",\n          \"loyalty_number\": \"<string>\",\n          \"vip_status\": \"<boolean>\",\n          \"company\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"marketing_opt_in\": \"<boolean>\",\n          \"email\": \"<email>\",\n          \"document_type\": \"<string>\",\n          \"magna_2\": true\n        },\n        \"laboris_422\": 57608242,\n        \"ex_8\": \"proident minim sint qui\"\n      }\n    ],\n    \"booking_intermediary\": \"<string>\",\n    \"localizer_code\": \"<string>\",\n    \"status\": \"<string>\",\n    \"room_type\": \"<string>\"\n  },\n  \"ut__\": -49927713.86843153\n}","options":{"raw":{"language":"json"}}},"url":"https://api.hotelinking.com/webhook/reservations","description":"<p>Receives reservation data from external systems with a flexible schema, and sends it to a queue for asynchronous processing. The endpoint accepts various payload formats and structures. The validation is performed internally by us. The documented fields serve as guidelines for the expected data structure. Additional fields beyond those documented are accepted and will be passed through for processing.</p>\n","urlObject":{"path":["webhook","reservations"],"host":["https://api.hotelinking.com"],"query":[],"variable":[]}},"response":[{"id":"01f5a5bb-b5c8-4807-a72a-eb2340c6b152","name":"Message successfully sent to queue","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"reservation\": {\n    \"pms_reservation_id\": \"<string>\",\n    \"confirmation_number\": \"<string>\",\n    \"total_value\": \"<number>\",\n    \"booking_company\": \"<string>\",\n    \"board_type\": \"<string>\",\n    \"booking_date\": \"<dateTime>\",\n    \"adults\": \"<integer>\",\n    \"created_at\": \"<dateTime>\",\n    \"total_extras\": \"<number>\",\n    \"extras\": [\n      {\n        \"amount\": \"<number>\",\n        \"code\": \"<string>\",\n        \"quantity\": \"<integer>\",\n        \"notes\": \"<string>\",\n        \"name\": \"<string>\",\n        \"description\": \"<string>\",\n        \"posted_at\": \"<dateTime>\",\n        \"fugiat7\": -31871649\n      },\n      {\n        \"amount\": \"<number>\",\n        \"code\": \"<string>\",\n        \"quantity\": \"<integer>\",\n        \"notes\": \"<string>\",\n        \"name\": \"<string>\",\n        \"description\": \"<string>\",\n        \"posted_at\": \"<dateTime>\"\n      }\n    ],\n    \"babies\": \"<integer>\",\n    \"hotel_code\": \"<string>\",\n    \"rate_plan\": \"<string>\",\n    \"booking_id\": \"<string>\",\n    \"check_out\": \"<dateTime>\",\n    \"juniors\": \"<integer>\",\n    \"updated_at\": \"<dateTime>\",\n    \"contract_code\": \"<string>\",\n    \"children\": \"<integer>\",\n    \"currency\": \"<string>\",\n    \"campaign_id\": \"<string>\",\n    \"booking_amount\": \"<number>\",\n    \"comments\": \"<string>\",\n    \"booking_channel\": \"<string>\",\n    \"source_system\": \"<string>\",\n    \"check_in\": \"<dateTime>\",\n    \"booking_agency\": \"<string>\",\n    \"hotel_name\": \"<string>\",\n    \"reservation_id\": \"<string>\",\n    \"extra_data\": \"<object>\",\n    \"nights\": \"<integer>\",\n    \"guests\": [\n      {\n        \"is_owner\": \"<boolean>\",\n        \"contact\": {\n          \"birthday\": \"<date>\",\n          \"country\": \"<string>\",\n          \"external_contact_id\": \"<string>\",\n          \"document_number\": \"<string>\",\n          \"pax_type\": \"<string>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"created_at\": \"<dateTime>\",\n          \"language\": \"<string>\",\n          \"zip_code\": \"<string>\",\n          \"province\": \"<string>\",\n          \"nationality\": \"<string>\",\n          \"updated_at\": \"<dateTime>\",\n          \"phone\": \"<string>\",\n          \"loyalty_number\": \"<string>\",\n          \"vip_status\": \"<boolean>\",\n          \"company\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"marketing_opt_in\": \"<boolean>\",\n          \"email\": \"<email>\",\n          \"document_type\": \"<string>\",\n          \"et357\": \"Lorem sunt incididunt qui\",\n          \"laborum8_\": \"Excepteur eiusmod amet i\",\n          \"elit1\": true\n        }\n      },\n      {\n        \"is_owner\": \"<boolean>\",\n        \"contact\": {\n          \"birthday\": \"<date>\",\n          \"country\": \"<string>\",\n          \"external_contact_id\": \"<string>\",\n          \"document_number\": \"<string>\",\n          \"pax_type\": \"<string>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"created_at\": \"<dateTime>\",\n          \"language\": \"<string>\",\n          \"zip_code\": \"<string>\",\n          \"province\": \"<string>\",\n          \"nationality\": \"<string>\",\n          \"updated_at\": \"<dateTime>\",\n          \"phone\": \"<string>\",\n          \"loyalty_number\": \"<string>\",\n          \"vip_status\": \"<boolean>\",\n          \"company\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"marketing_opt_in\": \"<boolean>\",\n          \"email\": \"<email>\",\n          \"document_type\": \"<string>\",\n          \"dolor1c\": -51905406.29906768,\n          \"voluptate_\": \"dolor fugiat dolore ips\"\n        }\n      }\n    ],\n    \"booking_intermediary\": \"<string>\",\n    \"localizer_code\": \"<string>\",\n    \"status\": \"<string>\",\n    \"room_type\": \"<string>\"\n  },\n  \"et_a4\": -83408748\n}","options":{"raw":{"language":"json"}}},"url":"https://api.hotelinking.com/webhook/reservations"},"status":"OK","code":200,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"cf057e74-6f28-4bb9-b665-fef1434fbb29","name":"Bad request - Invalid request body or schema validation failed","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"reservation\": {\n    \"pms_reservation_id\": \"<string>\",\n    \"confirmation_number\": \"<string>\",\n    \"total_value\": \"<number>\",\n    \"booking_company\": \"<string>\",\n    \"board_type\": \"<string>\",\n    \"booking_date\": \"<dateTime>\",\n    \"adults\": \"<integer>\",\n    \"created_at\": \"<dateTime>\",\n    \"total_extras\": \"<number>\",\n    \"extras\": [\n      {\n        \"amount\": \"<number>\",\n        \"code\": \"<string>\",\n        \"quantity\": \"<integer>\",\n        \"notes\": \"<string>\",\n        \"name\": \"<string>\",\n        \"description\": \"<string>\",\n        \"posted_at\": \"<dateTime>\",\n        \"fugiat7\": -31871649\n      },\n      {\n        \"amount\": \"<number>\",\n        \"code\": \"<string>\",\n        \"quantity\": \"<integer>\",\n        \"notes\": \"<string>\",\n        \"name\": \"<string>\",\n        \"description\": \"<string>\",\n        \"posted_at\": \"<dateTime>\"\n      }\n    ],\n    \"babies\": \"<integer>\",\n    \"hotel_code\": \"<string>\",\n    \"rate_plan\": \"<string>\",\n    \"booking_id\": \"<string>\",\n    \"check_out\": \"<dateTime>\",\n    \"juniors\": \"<integer>\",\n    \"updated_at\": \"<dateTime>\",\n    \"contract_code\": \"<string>\",\n    \"children\": \"<integer>\",\n    \"currency\": \"<string>\",\n    \"campaign_id\": \"<string>\",\n    \"booking_amount\": \"<number>\",\n    \"comments\": \"<string>\",\n    \"booking_channel\": \"<string>\",\n    \"source_system\": \"<string>\",\n    \"check_in\": \"<dateTime>\",\n    \"booking_agency\": \"<string>\",\n    \"hotel_name\": \"<string>\",\n    \"reservation_id\": \"<string>\",\n    \"extra_data\": \"<object>\",\n    \"nights\": \"<integer>\",\n    \"guests\": [\n      {\n        \"is_owner\": \"<boolean>\",\n        \"contact\": {\n          \"birthday\": \"<date>\",\n          \"country\": \"<string>\",\n          \"external_contact_id\": \"<string>\",\n          \"document_number\": \"<string>\",\n          \"pax_type\": \"<string>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"created_at\": \"<dateTime>\",\n          \"language\": \"<string>\",\n          \"zip_code\": \"<string>\",\n          \"province\": \"<string>\",\n          \"nationality\": \"<string>\",\n          \"updated_at\": \"<dateTime>\",\n          \"phone\": \"<string>\",\n          \"loyalty_number\": \"<string>\",\n          \"vip_status\": \"<boolean>\",\n          \"company\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"marketing_opt_in\": \"<boolean>\",\n          \"email\": \"<email>\",\n          \"document_type\": \"<string>\",\n          \"et357\": \"Lorem sunt incididunt qui\",\n          \"laborum8_\": \"Excepteur eiusmod amet i\",\n          \"elit1\": true\n        }\n      },\n      {\n        \"is_owner\": \"<boolean>\",\n        \"contact\": {\n          \"birthday\": \"<date>\",\n          \"country\": \"<string>\",\n          \"external_contact_id\": \"<string>\",\n          \"document_number\": \"<string>\",\n          \"pax_type\": \"<string>\",\n          \"gender\": \"<string>\",\n          \"city\": \"<string>\",\n          \"last_name\": \"<string>\",\n          \"created_at\": \"<dateTime>\",\n          \"language\": \"<string>\",\n          \"zip_code\": \"<string>\",\n          \"province\": \"<string>\",\n          \"nationality\": \"<string>\",\n          \"updated_at\": \"<dateTime>\",\n          \"phone\": \"<string>\",\n          \"loyalty_number\": \"<string>\",\n          \"vip_status\": \"<boolean>\",\n          \"company\": \"<string>\",\n          \"first_name\": \"<string>\",\n          \"marketing_opt_in\": \"<boolean>\",\n          \"email\": \"<email>\",\n          \"document_type\": \"<string>\",\n          \"dolor1c\": -51905406.29906768,\n          \"voluptate_\": \"dolor fugiat dolore ips\"\n        }\n      }\n    ],\n    \"booking_intermediary\": \"<string>\",\n    \"localizer_code\": \"<string>\",\n    \"status\": \"<string>\",\n    \"room_type\": \"<string>\"\n  },\n  \"et_a4\": -83408748\n}","options":{"raw":{"language":"json"}}},"url":"https://api.hotelinking.com/webhook/reservations"},"status":"Bad Request","code":400,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":""},{"id":"fbfccda6-8bdd-4887-8f8c-9317ad28211a","name":"Internal server error","originalRequest":{"method":"POST","header":[{"description":"Added as a part of security scheme: apikey","key":"x-api-key","value":"<API Key>"}],"body":{"mode":"raw","raw":"{\n  \"reservation\": {\n    \"pms_reservation_id\": \"<string>\",\n    \"confirmation_number\": \"<string>\",\n    \"total_value\": \"<number>\",\n    \"booking_company\": \"<string>\",\n    \"board_type\": \"<string>\",\n    \"booking_date\": \"<dateTime>\",\n    \"adults\": \"<integer>\",\n    \"created_at\": \"<dateTime>\",\n    \"total_extras\": \"<number>\",\n    \"extras\": [\n      {\n        \"amount\": \"<number>\",\n        \"code\": \"<string>\",\n        \"quantity\": \"<integer>\",\n        \"notes\": \"<string>\",\n        \"name\": \"<string>\",\n        \"description\": \"<string>\",\n        \"posted_at\": \"<dateTime>\",\n        \"fugiat7\": -31871649\n      },\n      {\n        \"amount\": \"<number>\",\n        \"code\": \"<string>\",\n        \"quantity\": \"<integer>\",\n        \"notes\": \"<string>\",\n        \"
[...]
